{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "Qxj = field( CreateParam, '*', 1 )\r\nCustNo = field( CreateParam, '*', 2 )\r\nQuoteOvr = field( CreateParam, '*', 3 )\r\nif CustNo <> 615 then\r\n   * is not philips so disable the qxj\r\n   .qxj->enabled = 0\r\nend\r\nif ( CustNo = 615 ) or ( CustNo = 6443 ) or ( CustNo = 639 ) then\r\n   * do nothing leave lot number overridable\r\nend else\r\n   * is not philips or sgs so don't let them change the lot number\r\n   * the idea here is to only let them change the quantity\r\n   * usually this is for second layer seperate layer stuff \r\n   .lot_num->enabled = 0\r\nend\r\nif QuoteOvr then\r\n   .quote_no->visible = 1\r\n   .quote_no_grp->visible = 1\r\n   .quote_no->value = QuoteOvr\r\nend else\r\n   .quote_no->value = ''\r\nend\r\nif Qxj then\r\n    .qxj->check = 1\r\nend\r\nRETURN 0"
        }
    }
}